Name: gmp
Version: 5.1.3
Release: 13
License: LGPL-3.0-or-later
URL: http://gmplib.org/
Summary: GNU arbitrary precision library

BuildRequires: libtool

Source0: ftp://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.bz2

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

%package -n libgmp10
Summary: GNU arbitrary precision library

%description -n libgmp10
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

%package -n libgmpxx4
Summary: GNU arbitrary precision library

%description -n libgmpxx4
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

%package -n gmp-devel
Summary: GNU arbitrary precision library
Requires: libgmp10 = %{version}
Requires: libgmpxx4 = %{version}

%description -n gmp-devel
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

%prep
%setup -q

# %patch -p2

%build

%configure \
  CFLAGS="$CFLAGS -Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  CXXFLAGS="$CXXFLAGS -Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  ABI=mode64 \
  --host=powerpc64-ibm-aix6 \
  --build=powerpc64-ibm-aix6 \
  --with-aix-soname=svr4 \
  --enable-shared \
  --enable-cxx \
  --disable-static \
  #end

rm libtool
ln -s `which libtool` .

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libgmp10
%defattr(-, qsys, *none)

%{_libdir}/libgmp.so.10

%files -n libgmpxx4
%defattr(-, qsys, *none)

%{_libdir}/libgmpxx.so.4

%files -n gmp-devel
%defattr(-, qsys, *none)

%{_libdir}/libgmp.so
%{_libdir}/libgmpxx.so

%{_includedir}/gmp.h
%{_includedir}/gmpxx.h
%{_infodir}/gmp.info-1
%{_infodir}/gmp.info-2
%{_infodir}/gmp.info


%changelog
* Wed Nov 27 2019 Kevin Adler <kadler@us.ibm.com> - 5.1.3
- Include default CFLAGS and CXXFLAGS

* Tue Mar 26 2019 Kevin Adler <kadler@us.ibm.com> - 5.1.3
- use SPDX license id

* Mon Feb 18 2019 - Kevin Adler <kadler@us.ibm.com>
- Remove errant libgmp10 files entry so we don't accidentally ship all files

* Fri Mar 30 2018 - Kevin Adler <kadler@us.ibm.com>
- Build our own gmp
